/*
    menu - header
*/
import $ from '../../util/dom-core.js'
import DropList from '../droplist.js'

// 构造函数
function Questiontype(editor) {
    this.editor = editor
    this.$elem = $('<div class="lsiten-e-menu">题型</div>')
    this.type = 'droplist'

    // 当前是否 active 状态
    this._active = false

    // 初始化 droplist
    this.droplist = new DropList(this, {
        width: 100,
        $title: $('<p>设置题型</p>'),
        type: 'list', // droplist 以列表形式展示
        list: [
            { $elem: $('<p>选择题</p>'), value: 'type_1' },
            { $elem: $('<p>判断题</p>'), value: 'type_2' },
            { $elem: $('<p>主观题</p>'), value: 'type_3' },
            { $elem: $('<p>作文题</p>'), value: 'type_4' },
        ],
        onClick: (value) => {
            // 注意 this 是指向当前的 Head 对象
            this._command(value)
        }
    })
}

// 原型
Questiontype.prototype = {
    constructor: Questiontype,

    // 执行命令
    _command: function (value) {
        let funName = 'lsiten_' + value;
        if (this[funName]) {
          this[funName]();
        }
    },
    lsiten_type_1: function () {
      this.editor.cmd.do('questiontype', {
        type: 1,
        data: {
          content: '',
          nums: '3',
          pnum: '1',
          proId: '1022',
          quId: '1656',
          proData: {
            content:"",
            pnum:"",
            proId:"1223",
            pureObjective:"1",
            score:20,
            sort:"1"
          },
          quType: '单选题',
          score: 5,
          visible: true
        }
      });
    },
    lsiten_type_2: function () {
      this.editor.cmd.do('questiontype', {
        type: 2,
        data: {
          content: '',
          nums: '2',
          pnum: '1',
          proId: '1022',
          quId: '1656',
          quType: '判断题',
          score: 5,
          visible: true,
          proData: {
            content:"",
            pnum:"",
            proId:"1223",
            pureObjective:"1",
            score:20,
            sort:"1"
          }
        }
      });
    },
    lsiten_type_3: function () {
      this.editor.cmd.do('questiontype', {
        type: 3,
        data: {
          content: '',
          nums: '',
          pnum: '1',
          proId: '1022',
          quId: '1656',
          quType: '解答题',
          proData: {},
          score: 5,
          visible: true
        }
      });
    },
    lsiten_type_4: function () {
      this.editor.cmd.do('questiontype', {
        type: 4,
        data: {
          content: '',
          nums: '',
          pnum: '1',
          proId: '1022',
          quId: '1656',
          quType: '作文题',
          score: 5,
          visible: true
        }
      });
    }
}

export default Questiontype